HashiCorp Cloud Platform
/infragraph/organizations/{location.organization_id}/schema/edges
SchemaService_ListEdgeSchemas
https:/ / api.cloud.hashicorp.com/ infragraph/ 2025-05-07/ organizations/ {location.organization_id}/ schema/ edges
The max number of results per page that should be returned. If the number
of available results is larger than page_size, a next_page_token is
returned which can be used to get the next page of results in subsequent
requests. A value of zero will cause page_size to be defaulted.
Specifies a page token to use to retrieve the next page. Set this to the
next_page_token returned by previous list requests to get the next page of
results. If set, previous_page_token must not be set.
Specifies a page token to use to retrieve the previous page. Set this to
the previous_page_token returned by previous list requests to get the
previous page of results. If set, next_page_token must not be set.
source is the data source of the node (e.g. "AWS", "GCP", "HCP_TERRAFORM"). If empty, the schema contract is not limited to a single source.
source_type is the source-specific type of the node (e.g. "AWS_EC2_INSTANCE"). If empty, the schema contract is not limited to a single concrete source type.
unified_type is the unified type of the node (e.g. "VIRTUAL_MACHINE"). If empty, the schema contract does not guarantee a single generalized type.
edge_type specifies the type of the edge (e.g. "MANAGES"). This field is optional. If omitted, all possible edge types will be returned.
source is the data source of the node (e.g. "AWS", "GCP", "HCP_TERRAFORM"). If empty, the schema contract is not limited to a single source.
source_type is the source-specific type of the node (e.g. "AWS_EC2_INSTANCE"). If empty, the schema contract is not limited to a single concrete source type.
unified_type is the unified type of the node (e.g. "VIRTUAL_MACHINE"). If empty, the schema contract does not guarantee a single generalized type.
include_reverse causes the response to include edges that meet the given criteria, but in the opposite edge direction. This is useful for finding all edges a given source type participates in, or finding edges where the source and/or destination are known, but not the edge direction. Defaults to false.
EdgeSchema represents the schema of an edge relationship between two node types.
NodeDescriptor describes a node by its source, source type, and unified type.
NodeDescriptor describes a node by its source, source type, and unified type.
PaginationResponse is the response holding the page tokens for a paginated list response.
This token allows you to get the previous page of results for list
requests. If the number of results is larger than page_size, use the
previous_page_token as a value for the query parameter
previous_page_token in the next request. The value will become empty when
there are no more pages.